Subject: FYI: Last Call On draft-yevstifeyev-tn3270-uri-12

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 05 Jan 2011 07:20:58 +0200

That is FYI. Any comments are welcome. Excuses if you receive multiple 
copies of this. Mykyta.
> Date: Tue, 04 Jan 2011 09:52:23 -0800
> From: The IESG<[email-masked]>
> Subject: Last Call:<draft-yevstifeyev-tn3270-uri-12.txt>  (The tn3270
> 	Uniform	Resource Identifier Scheme) to Informational RFC
> To: IETF-Announce<[email-masked]>
> Message-ID:<20110104175223.26076.55590.idtracker@localhost>
> Content-Type: text/plain; charset="us-ascii"
>
>
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'The tn3270 Uniform Resource Identifier Scheme'
>    <draft-yevstifeyev-tn3270-uri-12.txt>  as an Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked]  mailing lists by 2011-02-01. Exceptionally, comments may be
> sent [email-masked]  instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-yevstifeyev-tn3270-uri/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-yevstifeyev-tn3270-uri/
>
>
> No IPR declarations have been submitted directly on this I-D.

---

From: "t.petch" <[email-masked]>
Date: Tue, 11 Jan 2011 17:29:29 +0100

tn3270 is a widely used protocol but also a venerable one, so it is a little
surprising that the IETF is to register a provisional URI for it at this stage.

I have always seen it as an IBM protocol, and while that is no bar to being
an RFC - there are plenty of Cisco or Microsoft parallels - I am somewhat
surprised that the I-D contains no hint thereof; it does seem discourteous for
IBM not to appear in some guise, or perhaps I am missing something.

The provenance of the editor is unknown to
me - and of course, once an RFC has been through the IETF processes,
then the editorship is an irrelevance - but I am concerned that I have
no awareness of the contact provided as the scheme 'Author/Change controller',
no track record, no affiliation, a gmail address.  This seems more than
discourtesy, this seems wrong.

As such, I believe that this I-D should not progress to an RFC.

Tom Petch

----- Original Message -----
From: "Mykyta Yevstifeyev" <[email-masked]>
To: "IETF Discussion" <[email-masked]>; <[email-masked]>; "URI" <[email-masked]>
Sent: Wednesday, January 05, 2011 6:20 AM
Subject: FYI: Last Call On draft-yevstifeyev-tn3270-uri-12

> > No IPR declarations have been submitted directly on this I-D.

--------------------------------------------------------------------------------

> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 11 Jan 2011 10:32:42 -0800

Hi -

> From: "t.petch" <[email-masked]>
> To: "Mykyta Yevstifeyev" <[email-masked]>; "IETF Discussion" <[email-masked]>
> Cc: "iesg" <[email-masked]>
> Sent: Tuesday, January 11, 2011 8:29 AM
> Subject: Last Call On draft-yevstifeyev-tn3270-uri-12
....
> discourtesy, this seems wrong.
...

As someone with no affiliation and as someone who chooses not to give
out his home address indiscriminately, I object to this line of objection.

Randy

---

From: SM <[email-masked]>
Date: Tue, 11 Jan 2011 17:00:11 -0800

>discourtesy, this seems wrong.

There is a city and country mentioned under Author's Address.  It is 
not the first time an author uses a gmail address.  If an author is 
new to the IETF, he or she won't have any track record within the IETF.

According to the RFC Style Guide:

   "Contact information must include at least one, and ideally would
    include all, of a postal address, a telephone number and/or FAX
    number, and a long-lived email address.  The purpose of this section
    is to (1) unambiguously define author/contributor identity (e.g., the
    John Smith who works for FooBar Systems) and to (2) provide contact
    information for future readers who have questions or comments.  Note
    that some professional societies offer long-lived email addresses for
    their members."

Regards,
-sm

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 12 Jan 2011 09:37:12 +0200

Dear all,

I think that if there is an objetion of many people, that would be OK
if we put the IETF as author and IESG as contact.  This, I think, will
be considered as appropriate for this ocasion.

Moreover, if I do not want to provide my contact data except email to
the community, that is my right, anyway.

All the best,
Mykyta Yevstifeyev

---

From: "t.petch" <[email-masked]>
Date: Wed, 12 Jan 2011 09:50:48 +0100

----- Original Message -----
From: "SM" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, January 12, 2011 2:00 AM

>     that some professional societies offer long-lived email addresses for

True, but not relevant to the point I am making.

This is a provisional registration of an URI scheme (for which a provisional
registration already exists in IANA) so it is the rules of  RFC4395 which apply.

Except that they do not appear to cater for re-registration of a provisional
scheme.

The nearest would appear to be
"   o  Contact information identifying the person supplying the
      registration is included.  Previously unregistered URI schemes
      discovered in use may be registered by third parties on behalf of
      those who created the URI scheme; in this case, both the
      registering party and the scheme creator SHOULD be identified."

and it is the complete lack of the original scheme creator that
concerns me.  Yes we have contact details for the third party
but that is not enough.

Tom Petch

---

From: SM <[email-masked]>
Date: Wed, 12 Jan 2011 10:00:49 -0800

Hi Tom,
>concerns me.  Yes we have contact details for the third party

Agreed.

RFC 1738 reserves a scheme name for tn3270.  There is also a TN3270E 
defined in RFC 2335.  The Introduction section of 
draft-yevstifeyev-tn3270-uri-12 mentions RFC 1738 while the  scheme 
definition seems to cover TN3270 and TN3270E.

The Security Considerations section does not look like a clear 
analysis (see RFC 4395).

One of the points you mentioned is that there is already a 
provisional registration in the URI Schemes registry.  The proposal 
mentions that there are no clear and acceptable specifications so far 
while saying that the URI is similar to Telnet.

I am reluctant to take a position on this draft.

Regards,
-sm